1.0

1.0

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

진단 결과 세부 정보 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}